ru.bitel.bgbilling.modules.ipn.common.bean

## Class AddressRange

- java.lang.Object
- - ru.bitel.bgbilling.modules.ipn.common.bean.AddressRange

-     public class AddressRange
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AddressRange()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `checkAddressRange()`
    `long` | `getAddr1()`
    `long` | `getAddr2()`
    `java.lang.String` | `getComment()`
    `int` | `getContractId()`
    `int` | `getContractID()` Deprecated.
    `java.util.Calendar` | `getDate1()`
    `java.util.Calendar` | `getDate2()`
    `int` | `getId()`
    `int` | `getID()` Deprecated.
    `int` | `getMask()`
    `int` | `getObjectId()`
    `int` | `getPersonalPlanId()`
    `int` | `getPlanId()`
    `int` | `getPort1()`
    `int` | `getPort2()`
    `int` | `getResourceId()`
    `java.lang.String` | `getSources()`
    `void` | `setAddr1(long addr1)`
    `void` | `setAddr2(long addr2)`
    `void` | `setComment(java.lang.String comment)`
    `void` | `setContractId(int contractId)`
    `void` | `setContractID(int contractId)` Deprecated.
    `void` | `setDate1(java.util.Calendar date1)`
    `void` | `setDate2(java.util.Calendar date2)`
    `void` | `setId(int id)`
    `void` | `setID(int id)` Deprecated.
    `void` | `setMask(int mask)`
    `void` | `setObjectId(int objectId)`
    `void` | `setPersonalPlanId(int personalPlanId)`
    `void` | `setPlanId(int planId)`
    `void` | `setPort1(int port1)`
    `void` | `setPort2(int port2)`
    `void` | `setResourceId(int resourceId)`
    `void` | `setSources(java.lang.String sources)`
    `java.lang.String` | `toShortString()`
    `java.lang.String` | `toString()`
    `java.lang.String` | `toString(java.lang.StringBuilder sources)`
    `java.lang.String` | `toStringWithoutSource()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AddressRange

          public AddressRange()

  - ### Method Detail

    - #### getResourceId

          public final int getResourceId()

    - #### setResourceId

          public final void setResourceId(int resourceId)

    - #### getPersonalPlanId

          public int getPersonalPlanId()

    - #### setPersonalPlanId

          public void setPersonalPlanId(int personalPlanId)

    - #### getPlanId

          public int getPlanId()

    - #### setPlanId

          public void setPlanId(int planId)

    - #### getDate1

          public java.util.Calendar getDate1()

    - #### setDate1

          public void setDate1(java.util.Calendar date1)

    - #### getDate2

          public java.util.Calendar getDate2()

    - #### setDate2

          public void setDate2(java.util.Calendar date2)

    - #### getPort1

          public int getPort1()

    - #### setPort1

          public void setPort1(int port1)

    - #### getPort2

          public int getPort2()

    - #### setPort2

          public void setPort2(int port2)

    - #### getContractId

          public int getContractId()

    - #### getContractID

          @Deprecated
          public int getContractID()

      Deprecated.
      Использовать {@link #getContractId()).
      Returns:

    - #### setContractId

          public void setContractId(int contractId)

    - #### setContractID

          @Deprecated
          public void setContractID(int contractId)

      Deprecated.
      Использовать `setContractId(int)`.
      Parameters:
        `contractId` -

    - #### getId

          public int getId()

    - #### getID

          @Deprecated
          public int getID()

      Deprecated.
      Использовать `getId()`.
      Returns:

    - #### setId

          public void setId(int id)

    - #### setID

          @Deprecated
          public void setID(int id)

      Deprecated.
      Использовать `setId(int)`.
      Parameters:
        `id` -

    - #### getAddr1

          public long getAddr1()

    - #### setAddr1

          public void setAddr1(long addr1)

    - #### getAddr2

          public long getAddr2()

    - #### setAddr2

          public void setAddr2(long addr2)

    - #### getComment

          public java.lang.String getComment()

    - #### setComment

          public void setComment(java.lang.String comment)

    - #### checkAddressRange

          public java.lang.String checkAddressRange()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### toShortString

          public java.lang.String toShortString()

    - #### toString

          public java.lang.String toString(java.lang.StringBuilder sources)

    - #### toStringWithoutSource

          public java.lang.String toStringWithoutSource()

    - #### getObjectId

          public int getObjectId()

    - #### setObjectId

          public void setObjectId(int objectId)

    - #### getSources

          public java.lang.String getSources()

    - #### setSources

          public void setSources(java.lang.String sources)

    - #### getMask

          public int getMask()

    - #### setMask

          public void setMask(int mask)